//
//  HtmlParserTestViewController.m
//  HtmlParserTest
//
//  Created by Kiichi Takeuchi on 2/24/10.
//  Copyright ObjectGraph LLC 2010. All rights reserved.
//

#import "HtmlParserTestViewController.h"

@implementation HtmlParserTestViewController
- (void)viewDidLoad {
    [super viewDidLoad];
	
	
	// Don't forget 
	// #import "TFHpple.h"
	NSData *htmlData = [[NSString stringWithContentsOfURL:[NSURL URLWithString: @"http://www.objectgraph.com/contact.html"]] dataUsingEncoding:NSUTF8StringEncoding];
	TFHpple *xpathParser = [[TFHpple alloc] initWithHTMLData:htmlData];		
	NSArray *elements  = [xpathParser search:@"//h3"]; // get the page title
	TFHppleElement *element = [elements objectAtIndex:0];
	NSString *h3Tag = [element content];  
	NSLog(h3Tag);
	mLabel.text = h3Tag;
	[xpathParser release];
	[htmlData release];

	
}


- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}

@end
